import os
from inventory_provider import netconf
from lxml import etree

TEST_DATA_DIR = os.path.join(os.path.dirname(__file__), 'data')

class MockedJunosRpc(object):

    def __init__(self, hostname):
        filename = os.path.join(TEST_DATA_DIR, "%s-netconf.xml" % hostname)
        self.config = etree.parse(filename)

    def get_config(self):
        return self.config


class MockedJunosDevice(object):

    def __init__(self, **kwargs):
        self.rpc = MockedJunosRpc(kwargs['host'])

    def open(self):
        pass


def test_query_doc_and_validate(mocker, router, data_config):
    mocker.patch(
        'inventory_provider.netconf.Device',
        MockedJunosDevice)
    netconf.load_config(router, data_config['ssh'])

